# eric3.Wizards.InputDialogWizard.InputDialogWizardDialog

Module implementing the input dialog wizard dialog.

### Classes

InputDialogWizardDialog | Module implementing the input dialog wizard dialog.

### Functions

None

## InputDialogWizardDialog

Module implementing the input dialog wizard dialog.

It displays a dialog for entering the parameters for the QInputDialog code generator.

### Derived from

InputDialogWizardForm

### Methods

InputDialogWizardDialog | Constructor
getCode | Public method to get the source code.
getCode3 | Public method to get the source code for Qt3.
getCode4 | Public method to get the source code for Qt4.
testDlg | Private method to test the selected options.

### InputDialogWizardDialog (Constructor)

InputDialogWizardDialog(parent=None)

Constructor

parent
  -- parent widget (QWidget)

### InputDialogWizardDialog.getCode

getCode(indLevel, indString)

Public method to get the source code.

indLevel
  -- indentation level (int)
indString
  -- string used for indentation (space or tab) (string)

Returns:
  generated code (string)

### InputDialogWizardDialog.getCode3

getCode3(indLevel, indString)

Public method to get the source code for Qt3.

indLevel
  -- indentation level (int)
indString
  -- string used for indentation (space or tab) (string)

Returns:
  generated code (string)

### InputDialogWizardDialog.getCode4

getCode4(indLevel, indString)

Public method to get the source code for Qt4.

indLevel
  -- indentation level (int)
indString
  -- string used for indentation (space or tab) (string)

Returns:
  generated code (string)

### InputDialogWizardDialog.testDlg

testDlg()

Private method to test the selected options.

Up